## rtpbreak 1.3a

=== Makefile ===
# project Makefile.

INSTALL_DIR       = "$(HOME)/bin/" 

#####################################################################


all: build

check_version:
	@./check_version.sh

build:
	@cd src ; $(MAKE)
	@echo "% "
	@echo "% You can check the web if this is the latest public version"
	@echo "% issuing the command \"make check_version\". have fun!"
	@echo "%"


install:
	cp src/rtpbreak $(INSTALL_DIR)
	@echo "%"
	@echo "% Now rtpbreak is properly installed, ready to sniff packets!"
	@echo "%"

clean:
	cd src ; $(MAKE) clean

#eof

=== src/Makefile ===
# src Makefile.

include VERSION

CC       = cc
CFLAGS   = -Wall -O3  # debug: put -ggdb instead of -O3
LDFLAGS  =
LIBS     = -lpcap -lnet 
DEFS     = 

#####################################################################


all: header
	$(CC) -c -DVERSION=\"$(VERSION)\" $(CFLAGS) $(DEFS) main.c
	$(CC) -c $(CFLAGS) $(DEFS) common.c
	$(CC) -c $(CFLAGS) $(DEFS) net.c
	$(CC) $(LDFLAGS) main.o common.o net.o -o rtpbreak $(LIBS)
	@echo "%"

header:
	@echo "%"
	@echo "%  Compiling rtpbreak v$(VERSION)"
	@echo "%"
	@echo "%  CC...................: $(CC)"
	@echo "%  CFLAGS...............: $(CFLAGS)"
	@echo "%  LDFLAGS..............: $(LDFLAGS)"
	@echo "%  LIBS.................: $(LIBS)"
	@echo "%  DEFS.................: $(DEFS)"
	@echo "%"

indent:
	astyle --convert-tabs --style=gnu *.[hc]

srcheaders:
	update_src_header.sh *h *c

clean:
	@rm -f rtpbreak *.[hc].orig rtp.*.txt rtp.*.*.* *.o *.wav *~~

#eof

=== debian/changelog ===
rtpbreak (1.3a-1kali5) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * d/upstream: Add upstream metadata

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control

  [ Sophie Brun ]
  * Update Uploaders
  * Update dep libnet1 to libnet9

 -- Sophie Brun <sophie@kali.org>  Fri, 10 Oct 2025 14:09:40 +0200

rtpbreak (1.3a-1kali4) kali-dev; urgency=medium

  * Drop libpcap0.8 and libnet1 from Depends field
  * Misc packaging updates
  * Add back libnet1 to Depends

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 07 May 2024 07:40:50 +0700

rtpbreak (1.3a-1kali3) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.

  [ Ben Wilson ]
  * Update email address
  * Add Uploaders
  * Remove template comment and switch spaces to tabs

  [ Steev Klimaszewski ]
  * Add d/watch file pointing to author's packetstorm page.
  * Add lintian override for the readme.
  * Add -g flag so debug packages get debugging info.
  * Update standards version to 4.6.2, no changes needed.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Thu, 26 Jan 2023 14:00:56 -0600

rtpbreak (1.3a-1kali2) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Update packaging

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 12 Jan 2021 16:19:05 +0100

rtpbreak (1.3a-1kali1) kali-dev; urgency=medium

  * Add add-missing-include.patch

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 09 Mar 2016 09:11:33 +0100

rtpbreak (1.3a-1kali0) kali; urgency=low

  * Initial release

 -- Devon Kearns <dookie@kali.org>  Sun, 30 Dec 2012 18:00:10 -0700

=== debian/control ===
Source: rtpbreak
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@kali.org>,
Build-Depends: debhelper-compat (= 13), libnet1-dev, libpcap-dev
Standards-Version: 4.6.2
Homepage: http://dallachiesa.com/code/rtpbreak/
Vcs-Git: https://gitlab.com/kalilinux/packages/rtpbreak.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/rtpbreak

Package: rtpbreak
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libnet9
Description: Detects, reconstructs, and analyzes RTP sessions
 With rtpbreak you can detect, reconstruct and analyze any
 RTP session. It doesn't require the presence of RTCP
 packets and works independently form the used signaling
 protocol (SIP, H.323, SCCP, ...). The input is a sequence
 of packets, the output is a set of files you can use as
 input for other tools (wireshark/tshark, sox, grep/awk/cut/
 cat/sed, ...). It supports also wireless (AP_DLT_IEEE802_11)
 networks.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_install:
	dh_installdirs
	install src/rtpbreak $(CURDIR)/debian/rtpbreak/usr/bin/

=== debian/watch ===
version=4
https://packetstormsecurity.com/files/author/2292/ .*/rtpbreak-(.*)\.tgz
